;----------------------------------------------------------------------------
;      V.1.0
;
; 16   (8   (), 8   ()).  
;         
;  0      50 .
;
;
; 23.02.2005 .
;----------------------------------------------------------------------------
      LIST  P=16F874
  __CONFIG _CP_ALL & _DEBUG_OFF & _WRT_ENABLE_OFF & _CPD_ON & _LVP_OFF & _BODEN_ON & _PWRTE_ON & _WDT_OFF & _XT_OSC     

;-----  ------------------------------------
W                            EQU     0
F                            EQU     1
;-----  -------------------------------
INDF                         EQU     H'0000'
TMR0                         EQU     H'0001'
PCL                          EQU     H'0002'
STATUS                       EQU     H'0003'
FSR                          EQU     H'0004'
PORTA                        EQU     H'0005'
PORTB                        EQU     H'0006'
PORTC                        EQU     H'0007'
PORTD                        EQU     H'0008'
PORTE                        EQU     H'0009'
PCLATH                       EQU     H'000A'
INTCON                       EQU     H'000B'
PIR1                         EQU     H'000C'
PIR2                         EQU     H'000D'
TMR1L                        EQU     H'000E'
TMR1H                        EQU     H'000F'
T1CON                        EQU     H'0010'
TMR2                         EQU     H'0011'
T2CON                        EQU     H'0012'
SSPBUF                       EQU     H'0013'
SSPCON                       EQU     H'0014'
CCPR1L                       EQU     H'0015'
CCPR1H                       EQU     H'0016'
CCP1CON                      EQU     H'0017'
RCSTA                        EQU     H'0018'
TXREG                        EQU     H'0019'
RCREG                        EQU     H'001A'
CCPR2L                       EQU     H'001B'
CCPR2H                       EQU     H'001C'
CCP2CON                      EQU     H'001D'
ADRESH                       EQU     H'001E'
ADCON0                       EQU     H'001F'
OPTION_REG                   EQU     H'0001' ;b1
TRISA                        EQU     H'0005' ;b1
TRISB                        EQU     H'0006' ;b1
TRISC                        EQU     H'0007' ;b1
TRISD                        EQU     H'0008' ;b1
TRISE                        EQU     H'0009' ;b1
PIE1                         EQU     H'000C' ;b1
PIE2                         EQU     H'000D' ;b1
PCON                         EQU     H'000E' ;b1
SSPCON2                      EQU     H'0011' ;b1
PR2                          EQU     H'0012' ;b1
SSPADD                       EQU     H'0013' ;b1
SSPSTAT                      EQU     H'0014' ;b1
TXSTA                        EQU     H'0018' ;b1
SPBRG                        EQU     H'0019' ;b1
ADRESL                       EQU     H'001E' ;b1
ADCON1                       EQU     H'001F' ;b1
EEDATA                       EQU     H'000C' ;b2
EEADR                        EQU     H'000D' ;b2
EEDATH                       EQU     H'000E' ;b2
EEADRH                       EQU     H'000F' ;b2
EECON1                       EQU     H'000C' ;b3
EECON2                       EQU     H'000D' ;b3
;-----  -----------------------------------
#DEFINE          IRP     STATUS,7
#DEFINE          RP1     STATUS,6
#DEFINE          RP0     STATUS,5
#DEFINE          NOT_TO  STATUS,4
#DEFINE          NOT_PD  STATUS,3
#DEFINE          Z       STATUS,2
#DEFINE          DC      STATUS,1
#DEFINE          C       STATUS,0
#DEFINE          GIE      INTCON,7
#DEFINE          PEIE     INTCON,6
#DEFINE          T0IE     INTCON,5
#DEFINE          INTE     INTCON,4
#DEFINE          RBIE     INTCON,3
#DEFINE          T0IF     INTCON,2
#DEFINE          INTF     INTCON,1
#DEFINE          RBIF     INTCON,0
#DEFINE          ADIF       PIR1,6
#DEFINE          RCIF       PIR1,5
#DEFINE          TXIF       PIR1,4
#DEFINE          SSPIF      PIR1,3
#DEFINE          CCP1IF     PIR1,2
#DEFINE          TMR2IF     PIR1,1
#DEFINE          TMR1IF     PIR1,0
#DEFINE          EEIF    PIR2,4
#DEFINE          BCLIF   PIR2,3
#DEFINE          CCP2IF  PIR2,0
#DEFINE          T1CKPS1       T1CON,5
#DEFINE          T1CKPS0       T1CON,4
#DEFINE          T1OSCEN       T1CON,3
#DEFINE          NOT_T1SYNC    T1CON,2
#DEFINE          TMR1CS        T1CON,1
#DEFINE          TMR1ON        T1CON,0
#DEFINE          TOUTPS3     T2CON,6
#DEFINE          TOUTPS2     T2CON,5
#DEFINE          TOUTPS1     T2CON,4
#DEFINE          TOUTPS0     T2CON,3
#DEFINE          TMR2ON      T2CON,2
#DEFINE          T2CKPS1     T2CON,1
#DEFINE          T2CKPS0     T2CON,0
#DEFINE          WCOL       SSPCON,7
#DEFINE          SSPOV      SSPCON,6
#DEFINE          SSPEN      SSPCON,5
#DEFINE          CKP        SSPCON,4
#DEFINE          SSPM3      SSPCON,3
#DEFINE          SSPM2      SSPCON,2
#DEFINE          SSPM1      SSPCON,1
#DEFINE          SSPM0      SSPCON,0
#DEFINE          CCP1X       SSP1CON,5
#DEFINE          CCP1Y       SSP1CON,4
#DEFINE          CCP1M3      SSP1CON,3
#DEFINE          CCP1M2      SSP1CON,2
#DEFINE          CCP1M1      SSP1CON,1
#DEFINE          CCP1M0      SSP1CON,0
#DEFINE          SPEN     RCSTA,7
#DEFINE          RX9      RCSTA,6
#DEFINE          SREN     RCSTA,5
#DEFINE          CREN     RCSTA,4
#DEFINE          ADDEN    RCSTA,3
#DEFINE          FERR     RCSTA,2
#DEFINE          OERR     RCSTA,1
#DEFINE          RX9D     RCSTA,0
#DEFINE          CCP2X      CCP2CON,5
#DEFINE          CCP2Y      CCP2CON,4
#DEFINE          CCP2M3     CCP2CON,3
#DEFINE          CCP2M2     CCP2CON,2
#DEFINE          CCP2M1     CCP2CON,1
#DEFINE          CCP2M0     CCP2CON,0
#DEFINE          ADCS1       ADCON0,7
#DEFINE          ADCS0       ADCON0,6
#DEFINE          CHS2        ADCON0,5
#DEFINE          CHS1        ADCON0,4
#DEFINE          CHS0        ADCON0,3
#DEFINE          GO_DONE     ADCON0,2
#DEFINE          ADON        ADCON0,0
#DEFINE          NOT_RBPU     OPTION_REG,7
#DEFINE          INTEDG       OPTION_REG,6
#DEFINE          T0CS         OPTION_REG,5
#DEFINE          T0SE         OPTION_REG,4
#DEFINE          PSA          OPTION_REG,3
#DEFINE          PS2          OPTION_REG,2
#DEFINE          PS1          OPTION_REG,1
#DEFINE          PS0          OPTION_REG,0
#DEFINE          ADIE       PIE1,6
#DEFINE          RCIE       PIE1,5
#DEFINE          TXIE       PIE1,4
#DEFINE          SSPIE      PIE1,3
#DEFINE          CCP1IE     PIE1,2
#DEFINE          TMR2IE     PIE1,1
#DEFINE          TMR1IE     PIE1,0
#DEFINE          EEIE        PIE2,4
#DEFINE          BCLIE       PIE2,3
#DEFINE          CCP2IE      PIE2,0
#DEFINE          NOT_POR      PCON,1
#DEFINE          NOT_BOR      PCON,0
#DEFINE         GCEN        SSPCON2,7
#DEFINE         ACKSTAT     SSPCON2,6
#DEFINE         ACKDT       SSPCON2,5
#DEFINE         ACKEN       SSPCON2,4
#DEFINE         RCEN        SSPCON2,3
#DEFINE         PEN         SSPCON2,2
#DEFINE         RSEN        SSPCON2,1
#DEFINE         SEN         SSPCON2,0
#DEFINE         SMP           SSPSTAT,7
#DEFINE         CKE           SSPSTAT,6
#DEFINE         D_NOT_A       SSPSTAT,5
#DEFINE         P             SSPSTAT,4
#DEFINE         S             SSPSTAT,3
#DEFINE         R_NOT_W       SSPSTAT,2
#DEFINE         UA            SSPSTAT,1
#DEFINE         BF            SSPSTAT,0
#DEFINE         CSRC        TXSTA,7
#DEFINE         TX9         TXSTA,6
#DEFINE         TXEN        TXSTA,5
#DEFINE         SYNC        TXSTA,4
#DEFINE         BRGH        TXSTA,2
#DEFINE         TRMT        TXSTA,1
#DEFINE         TX9D        TXSTA,0
#DEFINE         ADFM       ADCON1,7
#DEFINE         PCFG3      ADCON1,3
#DEFINE         PCFG2      ADCON1,2
#DEFINE         PCFG1      ADCON1,1
#DEFINE         PCFG0      ADCON1,0
#DEFINE         EEPGD       EECON1,7
#DEFINE         WRERR       EECON1,3
#DEFINE         WREN        EECON1,2
#DEFINE         WR          EECON1,1
#DEFINE         RD          EECON1,0

; ---------------------------------------------------- 
_CP_ALL                      EQU     H'0FCF'
_CP_HALF                     EQU     H'1FDF'
_CP_UPPER_256                EQU     H'2FEF'
_CP_OFF                      EQU     H'3FFF'
_DEBUG_ON                    EQU     H'37FF'
_DEBUG_OFF                   EQU     H'3FFF'
_WRT_ENABLE_ON               EQU     H'3FFF'
_WRT_ENABLE_OFF              EQU     H'3DFF'
_CPD_ON                      EQU     H'3EFF'
_CPD_OFF                     EQU     H'3FFF'
_LVP_ON                      EQU     H'3FFF'
_LVP_OFF                     EQU     H'3F7F'
_BODEN_ON                    EQU     H'3FFF'
_BODEN_OFF                   EQU     H'3FBF'
_PWRTE_OFF                   EQU     H'3FFF'
_PWRTE_ON                    EQU     H'3FF7'
_WDT_ON                      EQU     H'3FFF'
_WDT_OFF                     EQU     H'3FFB'
_LP_OSC                      EQU     H'3FFC'
_XT_OSC                      EQU     H'3FFD'
_HS_OSC                      EQU     H'3FFE'
_RC_OSC                      EQU     H'3FFF'

;-----  ---------------------------------------
                    CBLOCK H'0020'
W_TEMP        ;------------------------------------------------------
STATUS_TEMP   ;        
PCLATH_TEMP   ;   
FSR_TEMP      ;------------------------------------------------------

W_R           ;   W   
PCLATH_R      ;   PCLATH

FLAGS0_R      ;   0
ST_TEMP_R     ; 
REG_TEMP_R    ;   
ST_UK_KOM_R   ;-  
ST_UK_POW_R   ;- 
ST_UK_PRO_R   ;-  
TAB_PRO_R     ;    0    
KRASN_WIH_R   ;      
JELT_WIH_R    ;      
                    ENDC

;------  ------------------------------------------
#DEFINE        _PROG_WIBR    FLAGS0_R,0    ; " "

;------  ----------------------------------
#DEFINE        _IN_TEMP1     PORTE,0      ; "1"
#DEFINE        _IN_TEMP2     PORTE,1      ; "2"
#DEFINE        _IN_TEMP3     PORTE,2      ; "3"

;------   -----------------------------------
OPTION_INIT    EQU      B'11000000'     ;  ,
                                        ;    
;     -
TRISA_INIT     EQU      B'11111111'     ;  
TRISB_INIT     EQU      B'00000001'     ;  ,  B0
TRISC_INIT     EQU      B'11111110'     ;  ,  0
TRISD_INIT     EQU      B'00000000'     ;  
TRISE_INIT     EQU      B'00000111'     ; 0 - 3 , PORTD    
;   
PIE1_INIT      EQU      B'00000000'     ;
PIE2_INIT      EQU      B'00000000'     ;
TXSTA_INIT     EQU      B'00000000'     ;
INTCON_INIT    EQU      B'00010000'     ;    INT
                                        ;  
PIR1_INIT      EQU      B'00000000'     ;   
PIR2_INIT      EQU      B'00000000'     ;    
;     -
PORTA_INIT     EQU      B'00000000'     ;
PORTB_INIT     EQU      B'00000000'     ;  
PORTC_INIT     EQU      B'00000000'     ;       
PORTD_INIT     EQU      B'00000000'     ;  
PORTE_INIT     EQU      B'00000000'     ;
;    
T1CON_INIT     EQU      B'00000000'     ; 1
T2CON_INIT     EQU      B'00000000'     ; 2
CCP1CON_INIT   EQU      B'00000000'     ;1 
CCP2CON_INIT   EQU      B'00000000'     ;2 
RCSTA_INIT     EQU      B'00000000'     ; USART
;,    
ADCON0_INIT    EQU      B'00000000'     ; 
ADCON1_INIT    EQU      B'00001110'     ;
;  PCLATH        
;    1
PCLATH_800    EQU       B'00001000'     ;ORG H'800'
PCLATH_900    EQU       B'00001001'     ;ORG H'900'
PCLATH_A00    EQU       B'00001010'     ;ORG H'A00'
PCLATH_B00    EQU       B'00001011'     ;ORG H'B00'
PCLATH_C00    EQU       B'00001100'     ;ORG H'C00'
PCLATH_D00    EQU       B'00001101'     ;ORG H'D00'
PCLATH_E00    EQU       B'00001110'     ;ORG H'E00'
PCLATH_F00    EQU       B'00001111'     ;ORG H'F00'
; ,     
TEMP1_K      EQU       D'3'           ;1
TEMP2_K      EQU       D'6'           ;2
TEMP3_K      EQU       D'15'          ;3
; -   -
KOM_PR_K     EQU       D'16'          ; -    
POW_PR_K     EQU       D'3'           ; - 
PRO_PR_K     EQU       D'12'          ; -       

;------  ---------------------------------------
                    ORG H'00'
            GOTO         Lab_GLAWN
                    ORG H'04'
            GOTO         Lab_INTER    ;    
;-----   -----------------------------
Lab_INTER   MOVWF   W_TEMP            ; 
            SWAPF   STATUS,W
            CLRF    STATUS
            MOVWF   STATUS_TEMP       ;  STATUS
            MOVF    PCLATH,W
            MOVWF   PCLATH_TEMP
            CLRF    PCLATH            ;  PCLATH
            BCF     IRP
            MOVF    FSR,W
            MOVWF   FSR_TEMP          ;  FSR
;---   ---------------------------
            BTFSS   INTF                ;  ?
            GOTO    Lab_RETF            ;,     
;---   ------------------------------------
            BCF      INTF               ;    
            
            BTFSS    _IN_TEMP1          ;   1 ?
            GOTO     Lab_2              ;,  
            MOVLW    TEMP1_K            ;,    1 
            GOTO     Lab_8              ;
         
Lab_2       BTFSS    _IN_TEMP2          ;   2 ?
            GOTO     Lab_3              ;,  
            MOVLW    TEMP2_K            ;,    2 
            GOTO     Lab_8              ;

Lab_3       BTFSS    _IN_TEMP3          ;   3 ?
            GOTO     Lab_4              ;,   
            MOVLW    TEMP3_K            ;,    3
            GOTO     Lab_8              ;

Lab_4       CLRF     PORTD              ;---------------------------------
            CLRF     PORTB              ;  
            BCF      PORTC,0            ;---------------------------------
            CLRF     ST_UK_KOM_R        ; -  
            CLRF     ST_UK_POW_R        ; - 
            GOTO     Lab_RETF           ;     
            
Lab_8       MOVWF    REG_TEMP_R         ;    

            INCF     ST_TEMP_R,F        ; . 
            MOVF     ST_TEMP_R,W        ;     
            XORWF    REG_TEMP_R,W       ;---------------------------------
            BTFSS    Z                  ;      
            GOTO     Lab_RETF           ;,      
            CLRF     ST_TEMP_R          ;  

            BTFSC    _PROG_WIBR         ;   " " ?
            GOTO     Lab_10             ;,  
            BSF      _PROG_WIBR         ;  " " 
            CALL     Pod_SET_PROG       ; 

Lab_10      CALL     Pod_SET_KOM        ;   

            INCF     ST_UK_KOM_R,F      ; - 
            MOVF     ST_UK_KOM_R,W      ;---------------------------
            XORLW    KOM_PR_K           ;     ?
            BTFSS    Z                  ;---------------------------
            GOTO     Lab_RETF           ;,             
            CLRF     ST_UK_KOM_R        ; - 
            INCF     ST_UK_POW_R,F      ;
            MOVF     ST_UK_POW_R,W      ;---------------------------
            XORLW    POW_PR_K           ;     ?
            BTFSS    Z                  ;---------------------------
            GOTO     Lab_RETF           ;,             
            CLRF     ST_UK_POW_R        ; - 
            BCF      _PROG_WIBR         ;  " " 
            INCF     ST_UK_PRO_R,F      ;
            MOVF     ST_UK_PRO_R,W      ;---------------------------
            XORLW    PRO_PR_K           ;     ?
            BTFSS    Z                  ;---------------------------
            GOTO     Lab_RETF           ;,             
            CLRF     ST_UK_PRO_R        ; - 
   
;---     --------------------------
Lab_RETF    MOVF    PCLATH_TEMP,W     ;
            MOVWF   PCLATH            ;  PCLATH
            MOVF    FSR_TEMP,W        ;
            MOVWF   FSR               ;  FSR
            SWAPF   STATUS_TEMP,W     ;
            MOVWF   STATUS            ;  STATUS
            SWAPF   W_TEMP,F          ;
            SWAPF   W_TEMP,W          ; 
            RETFIE                    ;  
;-----   --------------------------------

;---------------------------------------------------------------------------
;-----  ---------------------------------------------
;---------------------------------------------------------------------------
Lab_GLAWN   CALL    Pod_INIT_RSN      ; 
            CALL    Pod_INIT_RON      ; 
            BSF     GIE               ;  
Lab_OSN     NOP                       ;   
            NOP                       ;
            GOTO    Lab_OSN           ;  

;--------------------------------------------------------------------------
;--------------------------------------------------------------
;--------------------------------------------------------------------------
;        
; ,   - .
;-      0  15.
;    TAB_PRO_R    . 
Pod_SET_PROG
            MOVF        ST_UK_PRO_R,W ;           
            MOVWF       TAB_PRO_R     ;   TAB_PRO_R
            BCF         C             ;
            RLF         TAB_PRO_R,F   ;--------------------------------             
            RLF         TAB_PRO_R,F   ;   16   TAB_PRO_R
            RLF         TAB_PRO_R,F   ; (  - 0 )
            RLF         TAB_PRO_R,F   ;-------------------------------- 
            RETURN
 
;         
;  ,   -
;.         
; ,    TAB_PRO_R.
;     .  
Pod_SET_KOM
            MOVF        PCLATH,W      ;-------------------------------------
            MOVWF       PCLATH_R      ; PCLATH
            MOVLW       PCLATH_800    ;-------------------------------------
            MOVWF       PCLATH        ;  PCLATH  800
            CALL        Tab_KRASN1    ;              
            MOVWF       KRASN_WIH_R   ;      
           
            MOVLW       PCLATH_900    ;-------------------------------------
            MOVWF       PCLATH        ;  PCLATH  900
            CALL        Tab_JELT1     ;              
            MOVWF       JELT_WIH_R    ;      
            MOVF        PCLATH_R,W    ;-------------------------------------
            MOVWF       PCLATH        ;  PCLATH

            MOVF        KRASN_WIH_R,W ;-------------------------------------          
            MOVWF       PORTD         ;      
 
            MOVF        JELT_WIH_R,W  ;-------------------------------------          
            MOVWF       PORTB         ;      
            BCF         PORTC,0       ;                
            BTFSC       JELT_WIH_R,0  ;   
            BSF         PORTC,0       ;-------------------------------------
            RETURN 
            
;----  ---------------------------------
Pod_INIT_RSN
            BSF         RP0           ;------------b1---------------
            MOVLW       OPTION_INIT
            MOVWF       OPTION_REG    ;
;    -  -
            MOVLW       TRISA_INIT
            MOVWF       TRISA         ;
            MOVLW       TRISB_INIT
            MOVWF       TRISB         ;
            MOVLW       TRISC_INIT
            MOVWF       TRISC         ;
            MOVLW       TRISD_INIT
            MOVWF       TRISD         ;
            MOVLW       TRISE_INIT
            MOVWF       TRISE         ;
;  
            MOVLW       PIE1_INIT
            MOVWF       PIE1          ;
            MOVLW       PIE2_INIT
            MOVWF       PIE2          ;
            MOVLW       TXSTA_INIT
            MOVWF       TXSTA         ;
            MOVLW       ADCON1_INIT
            MOVWF       ADCON1        ; ,  U   
            BCF         RP0           ;------------b0---------------
            MOVLW       INTCON_INIT
            MOVWF       INTCON        ;
            MOVLW       PIR1_INIT
            MOVWF       PIR1          ;
            MOVLW       PIR2_INIT
            MOVWF       PIR2          ;
;     -
            MOVLW       PORTA_INIT
            MOVWF       PORTA         ;
            MOVLW       PORTB_INIT
            MOVWF       PORTB         ;
            MOVLW       PORTC_INIT
            MOVWF       PORTC         ;
            MOVLW       PORTD_INIT
            MOVWF       PORTD         ;
            MOVLW       PORTE_INIT
            MOVWF       PORTE         ;
;   
            MOVLW       T1CON_INIT
            MOVWF       T1CON         ;
            MOVLW       T2CON_INIT
            MOVWF       T2CON         ;
            MOVLW       CCP1CON_INIT
            MOVWF       CCP1CON       ;
            MOVLW       CCP2CON_INIT
            MOVWF       CCP2CON       ;
            MOVLW       RCSTA_INIT
            MOVWF       RCSTA         ;
;,    
            MOVLW       ADCON0_INIT
            MOVWF       ADCON0        ;
            RETURN
;----  ---------------------------------
;      0  1 ( 96    )
Pod_INIT_RON
            MOVLW       H'0020'
            MOVWF       FSR           ;     
            BSF         FSR,7         ;------------b1---------------
            CLRF        INDF          ;     1
            BCF         FSR,7         ;------------b0---------------
            CLRF        INDF          ;     0
            INCF        FSR,F         ; FSR=FSR+1
            BTFSS       FSR,7         ;  FSR=80h,    
            GOTO        $-6
;  
            RETURN
  
;--- 1   --------------------------------------

                    ORG H'800'
;--- 1       (PORTD)
Tab_KRASN1 
            MOVF    TAB_PRO_R,W   ;  0 
            ADDWF   ST_UK_KOM_R,W ;    
            ADDWF   PCL,F
; 1
            RETLW   B'00000000'
            RETLW   B'10000000'        
            RETLW   B'10000000'
            RETLW   B'11000000'
            RETLW   B'11000000'
            RETLW   B'11100000'
            RETLW   B'11100000'
            RETLW   B'11110000'
            RETLW   B'11110000'
            RETLW   B'11111000'
            RETLW   B'11111000'
            RETLW   B'11111100'        
            RETLW   B'11111100'
            RETLW   B'11111110'
            RETLW   B'11111110'
            RETLW   B'11111111'
; 2
            RETLW   B'11111111'        
            RETLW   B'01111111'
            RETLW   B'01111111'
            RETLW   B'00111111'
            RETLW   B'00111111'
            RETLW   B'00011111'
            RETLW   B'00011111'
            RETLW   B'00001111'
            RETLW   B'00001111'
            RETLW   B'00000111'
            RETLW   B'00000111'        
            RETLW   B'00000011'
            RETLW   B'00000011'
            RETLW   B'00000001'
            RETLW   B'00000001'
            RETLW   B'00000000'
; 3
            RETLW   B'00000001'
            RETLW   B'00000010'        
            RETLW   B'00000100'
            RETLW   B'00001000'
            RETLW   B'00010000'
            RETLW   B'00100000'
            RETLW   B'01000000'
            RETLW   B'10000000'
            RETLW   B'10000000'
            RETLW   B'01000000'
            RETLW   B'00100000'
            RETLW   B'00010000'        
            RETLW   B'00001000'
            RETLW   B'00000100'
            RETLW   B'00000010'
            RETLW   B'00000001'
; 4
            RETLW   B'00000001'
            RETLW   B'00000011'        
            RETLW   B'00000111'
            RETLW   B'00001111'
            RETLW   B'00011111'
            RETLW   B'00111111'
            RETLW   B'01111111'
            RETLW   B'11111111'
            RETLW   B'01111111'
            RETLW   B'00111111'
            RETLW   B'00011111'        
            RETLW   B'00001111'
            RETLW   B'00000111'
            RETLW   B'00000011'
            RETLW   B'00000001'
            RETLW   B'00000000'
; 5
            RETLW   B'00000000'
            RETLW   B'10000000'        
            RETLW   B'10000000'
            RETLW   B'01000000'
            RETLW   B'01000000'
            RETLW   B'00100000'
            RETLW   B'00100000'
            RETLW   B'00010000'
            RETLW   B'00010000'
            RETLW   B'00001000'
            RETLW   B'00001000'
            RETLW   B'00000100'        
            RETLW   B'00000100'
            RETLW   B'00000010'
            RETLW   B'00000010'
            RETLW   B'00000001'
; 6
            RETLW   B'00000001'
            RETLW   B'00000001'        
            RETLW   B'00000010'
            RETLW   B'00000010'
            RETLW   B'00000100'
            RETLW   B'00000100'
            RETLW   B'00001000'
            RETLW   B'00001000'
            RETLW   B'00010000'
            RETLW   B'00010000'
            RETLW   B'00100000'
            RETLW   B'00100000'        
            RETLW   B'01000000'
            RETLW   B'01000000'
            RETLW   B'10000000'
            RETLW   B'10000000'
; 7
            RETLW   B'00010001'
            RETLW   B'00000000'        
            RETLW   B'00100010'
            RETLW   B'00000000'
            RETLW   B'01000100'
            RETLW   B'00000000'
            RETLW   B'10001000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'10001000'
            RETLW   B'00000000'
            RETLW   B'01000100'        
            RETLW   B'00000000'
            RETLW   B'00100010'
            RETLW   B'00000000'
            RETLW   B'00010001'
; 8
            RETLW   B'00000001'
            RETLW   B'10000001'        
            RETLW   B'10000011'
            RETLW   B'11000011'
            RETLW   B'11000111'
            RETLW   B'11100111'
            RETLW   B'11101111'
            RETLW   B'11111111'
            RETLW   B'11101111'
            RETLW   B'11100111'
            RETLW   B'11000111'        
            RETLW   B'11000011'
            RETLW   B'10000011'
            RETLW   B'10000001'
            RETLW   B'00000001'
            RETLW   B'00000000'
; 9 
            RETLW   B'10000000'
            RETLW   B'11000000'
            RETLW   B'11000000'        
            RETLW   B'01100000'
            RETLW   B'01100000'
            RETLW   B'00110000'
            RETLW   B'00110000'
            RETLW   B'00011000'
            RETLW   B'00011000'
            RETLW   B'00001100'
            RETLW   B'00001100'
            RETLW   B'00000110'
            RETLW   B'00000110'        
            RETLW   B'00000011'
            RETLW   B'00000011'
            RETLW   B'00000000'
; 10
            RETLW   B'00000011'
            RETLW   B'00000011'        
            RETLW   B'00000110'
            RETLW   B'00000110'
            RETLW   B'00001100'
            RETLW   B'00001100'
            RETLW   B'00011000'
            RETLW   B'00011000'
            RETLW   B'00110000'
            RETLW   B'00110000'
            RETLW   B'01100000'
            RETLW   B'01100000'        
            RETLW   B'11000000'
            RETLW   B'11000000'
            RETLW   B'10000000'
            RETLW   B'00000000'
; 11
            RETLW   B'00000000'
            RETLW   B'10101010'        
            RETLW   B'10101010'
            RETLW   B'11111111'
            RETLW   B'11111111'
            RETLW   B'01010101'
            RETLW   B'01010101'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'10101010'        
            RETLW   B'10101010'
            RETLW   B'11111111'
            RETLW   B'11111111'
            RETLW   B'01010101'
            RETLW   B'01010101'
            RETLW   B'00000000'
; 12
            RETLW   B'00010000'
            RETLW   B'00010000'        
            RETLW   B'00111000'
            RETLW   B'00111000'
            RETLW   B'01111100'
            RETLW   B'01111100'
            RETLW   B'11111110'
            RETLW   B'11111110'
            RETLW   B'11111110'
            RETLW   B'01111100'
            RETLW   B'01111100'
            RETLW   B'00111000'        
            RETLW   B'00111000'
            RETLW   B'00010000'
            RETLW   B'00010000'
            RETLW   B'00000000'


                    ORG H'900'
;--- 1       (PORTB,C)
Tab_JELT1 
            MOVF    TAB_PRO_R,W   ;  0 
            ADDWF   ST_UK_KOM_R,W ;    
            ADDWF   PCL,F
; 1
            RETLW   B'10000000'        
            RETLW   B'10000000'
            RETLW   B'11000000'
            RETLW   B'11000000'
            RETLW   B'11100000'
            RETLW   B'11100000'
            RETLW   B'11110000'
            RETLW   B'11110000'
            RETLW   B'11111000'
            RETLW   B'11111000'
            RETLW   B'11111100'        
            RETLW   B'11111100'
            RETLW   B'11111110'
            RETLW   B'11111110'
            RETLW   B'11111111'
            RETLW   B'11111111'
; 2        
            RETLW   B'01111111'
            RETLW   B'01111111'
            RETLW   B'00111111'
            RETLW   B'00111111'
            RETLW   B'00011111'
            RETLW   B'00011111'
            RETLW   B'00001111'
            RETLW   B'00001111'
            RETLW   B'00000111'
            RETLW   B'00000111'        
            RETLW   B'00000011'
            RETLW   B'00000011'
            RETLW   B'00000001'
            RETLW   B'00000001' 
            RETLW   B'00000000'
            RETLW   B'00000000'
; 3
            RETLW   B'10000000'        
            RETLW   B'01000000'
            RETLW   B'00100000'
            RETLW   B'00010000'
            RETLW   B'00001000'
            RETLW   B'00000100'
            RETLW   B'00000010'
            RETLW   B'00000001'
            RETLW   B'00000001'
            RETLW   B'00000010'
            RETLW   B'00000100'        
            RETLW   B'00001000'
            RETLW   B'00010000'
            RETLW   B'00100000'
            RETLW   B'01000000' 
            RETLW   B'10000000'
; 4
            RETLW   B'10000000'        
            RETLW   B'11000000'
            RETLW   B'11100000'
            RETLW   B'11110000'
            RETLW   B'11111000'
            RETLW   B'11111100'
            RETLW   B'11111110'
            RETLW   B'11111111'
            RETLW   B'11111110'
            RETLW   B'11111100'        
            RETLW   B'11111000'
            RETLW   B'11110000'
            RETLW   B'11100000'
            RETLW   B'11000000' 
            RETLW   B'10000000'
            RETLW   B'00000000'
; 5
            RETLW   B'10000000'        
            RETLW   B'10000000'
            RETLW   B'01000000'
            RETLW   B'01000000'
            RETLW   B'00100000'
            RETLW   B'00100000'
            RETLW   B'00010000'
            RETLW   B'00010000'
            RETLW   B'00001000'
            RETLW   B'00001000'
            RETLW   B'00000100'        
            RETLW   B'00000100'
            RETLW   B'00000010'
            RETLW   B'00000010'
            RETLW   B'00000001'
            RETLW   B'00000001'
; 6
            RETLW   B'00000000'
            RETLW   B'00000001'
            RETLW   B'00000001'        
            RETLW   B'00000010'
            RETLW   B'00000010'
            RETLW   B'00000100'
            RETLW   B'00000100'
            RETLW   B'00001000'
            RETLW   B'00001000'
            RETLW   B'00010000'
            RETLW   B'00010000'
            RETLW   B'00100000'
            RETLW   B'00100000'        
            RETLW   B'01000000'
            RETLW   B'01000000'
            RETLW   B'10000000'
; 7
            RETLW   B'00000000'
            RETLW   B'00010001'
            RETLW   B'00000000'        
            RETLW   B'00100010'
            RETLW   B'00000000'
            RETLW   B'01000100'
            RETLW   B'00000000'
            RETLW   B'10001000'
            RETLW   B'10001000'
            RETLW   B'00000000'
            RETLW   B'01000100'        
            RETLW   B'00000000'
            RETLW   B'00100010'
            RETLW   B'00000000'
            RETLW   B'00010001'            
            RETLW   B'00000000'
; 8
            RETLW   B'10000000'
            RETLW   B'10000001'        
            RETLW   B'11000001'
            RETLW   B'11000011'
            RETLW   B'11100011'
            RETLW   B'11100111'
            RETLW   B'11110111'
            RETLW   B'11111111'
            RETLW   B'11110111'
            RETLW   B'11100111'
            RETLW   B'11100011'        
            RETLW   B'11000011'
            RETLW   B'11000001'
            RETLW   B'10000001'
            RETLW   B'10000000'
            RETLW   B'00000000'
; 9 
            RETLW   B'11000000'
            RETLW   B'11000000'        
            RETLW   B'01100000'
            RETLW   B'01100000'
            RETLW   B'00110000'
            RETLW   B'00110000'
            RETLW   B'00011000'
            RETLW   B'00011000'
            RETLW   B'00001100'
            RETLW   B'00001100'
            RETLW   B'00000110'
            RETLW   B'00000110'        
            RETLW   B'00000011'
            RETLW   B'00000011'
            RETLW   B'00000001'
            RETLW   B'00000000'
; 10
            RETLW   B'00000001'
            RETLW   B'00000011'        
            RETLW   B'00000011'
            RETLW   B'00000110'
            RETLW   B'00000110'
            RETLW   B'00001100'
            RETLW   B'00001100'
            RETLW   B'00011000'
            RETLW   B'00011000'
            RETLW   B'00110000'
            RETLW   B'00110000'
            RETLW   B'01100000'        
            RETLW   B'01100000'
            RETLW   B'11000000'
            RETLW   B'11000000'
            RETLW   B'00000000'
; 11
            RETLW   B'10101010'
            RETLW   B'10101010'        
            RETLW   B'11111111'
            RETLW   B'11111111'
            RETLW   B'01010101'
            RETLW   B'01010101'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'10101010'
            RETLW   B'10101010'        
            RETLW   B'11111111'
            RETLW   B'11111111'
            RETLW   B'01010101'
            RETLW   B'01010101'
            RETLW   B'00000000'
            RETLW   B'00000000'
; 12
            RETLW   B'00001000'
            RETLW   B'00001000'        
            RETLW   B'00011100'
            RETLW   B'00011100'
            RETLW   B'00111110'
            RETLW   B'00111110'
            RETLW   B'01111111'
            RETLW   B'01111111'
            RETLW   B'01111111'
            RETLW   B'00111110'
            RETLW   B'00111110'
            RETLW   B'00011100'        
            RETLW   B'00011100'
            RETLW   B'00001000'
            RETLW   B'00001000'
            RETLW   B'00000000'      

                    ORG H'A00'

                    ORG H'B00'

                    ORG H'C00'

                    ORG H'D00'

                    ORG H'E00'
            
                    ORG H'F00'
; 
            RETLW   B'00000000'
            RETLW   B'00000000'        
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'        
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'
            RETLW   B'00000000'

;---  ------------------------------------------
            END


